Process Multiple Bank Statements
curl --request POST \
--url https://api.invaro.ai/api/v1/parse/statements/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"document_id": "uuid-of-document-1"
},
{
"document_id": "uuid-of-document-2"
}
]
}
'import requests
url = "https://api.invaro.ai/api/v1/parse/statements/batch"
payload = { "files": [{ "document_id": "uuid-of-document-1" }, { "document_id": "uuid-of-document-2" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [{document_id: 'uuid-of-document-1'}, {document_id: 'uuid-of-document-2'}]
})
};
fetch('https://api.invaro.ai/api/v1/parse/statements/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"batch_id": "batch_123",
"status": "pending",
"job_ids": [
"job_1",
"job_2"
],
"created_at": "2024-01-07T10:00:00Z",
"updated_at": "2024-01-07T10:00:00Z"
}
}Bank Statements
Process Multiple Statements
Process multiple bank statements in a single API call. This endpoint allows you to submit up to 10 documents for processing at once.
POST
/
parse
/
statements
/
batch
Process Multiple Bank Statements
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum array length:
10Show child attributes
Show child attributes
Example:
[
{ "document_id": "uuid-of-document-1" },
{ "document_id": "uuid-of-document-2" }
]
⌘I